> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Unified Transactions

> Merges the caller's card spend and collateral events into one filtered, in-memory paginated timeline with monthly totals.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/list-unified-transactions
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/list-unified-transactions:
    get:
      operationId: listUnifiedTransactions
      summary: List Unified Transactions
      description: >-
        Merges the caller's card spend and collateral events into one filtered,
        in-memory paginated timeline with monthly totals.


        Not available to API keys.
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: number
            minimum: 1
            default: 1
        - name: pageSize
          in: query
          required: false
          schema:
            type: number
            minimum: 1
            maximum: 100
            default: 20
        - name: type
          in: query
          required: false
          schema:
            type: string
            enum:
              - all
              - spend
              - deposit
              - withdrawal
            default: all
        - name: status
          in: query
          required: false
          schema:
            type: string
            enum:
              - cleared
              - pending
              - declined
              - completed
        - name: search
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListUnifiedTransactionsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    ListUnifiedTransactionsResponse:
      type: object
      properties: {}
      description: Request regeneration does not infer response shapes.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
